2009-04-26  German Poo-Caamano <gpoo@gnome.org>

	* gnome-nettool.doap: Fixed uri for maintainer's email.

2009-04-18  German Poo-Caamano <gpoo@gnome.org>

	* MAINTAINERS: Updated my own address :-)
	* gnome-nettool.doap: Added DOAP spec.

2009-03-31  German Poo-Caamano <gpoo@gnome.org>

	* src/main.c: Fix glibtop initialization order in order to
	  make it work on BSD.  Fixed #576221 (Joe Marcus Clarke)

2009-03-16  German Poo-Caamano <gpoo@gnome.org>

	* configure.in, NEWS: Updated for the next unstable release.

2009-03-16  German Poo-Caamano <gpoo@gnome.org>

	Released 2.26.0.

2009-02-25  Andre Klapper  <a9016009@gmx.de>

	* src/lookup.c:
	* src/main.c:
	* src/netstat.c:
	* src/nettool.c:
	Remove deprecated gtk/gdk functions. Fixes bug #573147.

2008-12-16  Claude Paroz  <claude@2xlibre.net>

	* src/gnome-nettool.glade: Removed translatable property on stock label.
	Added a translator comment for 'ms'.

2008-12-15  German Poo-Caamano <gpoo@gnome.org>

	Released 2.23.3.

2008-12-12  German Poo-Caamano <gpoo@gnome.org>

	* configure.in: Added dependency of gmodule-export-2.0 for better
	  use of libglade autoconnect.
	* src/callbacks.[ch]:
	* src/main.c:
	* src/nettool.c: Clean up the code
	* src/gnome-nettool.glade: Completed information for better a11y
	  support.

2008-12-10  German Poo-Caamano <gpoo@gnome.org>

	* src/gnome-nettool.glade: Fixed #557055. Improved the 
	  accebility by adding relations and navibility in the UI.

2008-12-09  German Poo-Caamano <gpoo@gnome.org>

	* src/nettool.[ch] (netinfo_get_count):
	* src/ping.[ch] (ping_do): Fixed #522934.  Fixed support for 
	  unlimited pings (now it really means unlimited pings, not a 
	  threshold 999 :-)

2008-12-09  German Poo-Caamano <gpoo@gnome.org>

	* src/gnome-nettool.glade: Fixed #554733.  Gnome Nettool now
	  is 1024x600 friendly.

2008-12-09  German Poo-Caamano <gpoo@gnome.org>

	* src/ping.h: 
	* src/netstat.[ch]: Fixed #563044.  Added basic 
	  NetBSD support (Thomas Klausner).

2008-12-09  German Poo-Caamano <gpoo@gnome.org>

	* src/gnome-nettool.glade: 
	* src/main.c (main):
	* src/callbacks.[ch] (on_help_activate): Fixed #394648. 
	  Added menu to access the documentation according to 
	  the proposal Goal "RemoveGnomeOpenGnomeHelp".

2008-12-08  German Poo-Caamano <gpoo@gnome.org>

	* src/gnome-nettool.glade: Fixed #487308.  Restored the behaviour
	  of 'Edit/Copy' as default in Gnome.  Added 'Copy as text report'
	  to copy all the values in a tab window.

2008-12-08  German Poo-Caamano <gpoo@gnome.org>

	* src/ping.c: Fixed #344832.  Compilation issues in MacOSX 10.3.

2008-12-08  German Poo-Caamano <gpoo@gnome.org>

	* configure.in: Fixed #156176 and #340195. Added dependency of 
	  libgtop-2.0 for Net information (load and statistics).
	* src/main.c (main): Added initialization of libgtop, removed 
	  IPv4 only frame and related groups.
	* src/info.c: Removed dependency of ifaddrs (Linux specific).
	  (info_nic_update_stats): Use of netload (libgtop) instead of
	  reading the output from /proc/net.
	  (info_ip6_masklen): Adapted the argument according the use
	  of libgtop instead of struct in6_addr.
	  (info_ip6_construct_address): Dropped function, IPv6 information
	  now is read from glibtop_netload.
	  (info_get_nic_information): Replaced ioctl's call by information
	  provided by glibtop_netload.  Still there are some minor regressions.
	  Fixed compilation error for non-Linux platforms.
	  (info_get_interfaces): Replaced getifaddrs call by 
	  glibtop_get_netlist, which is multiplatform.
	* src/utils.[ch] (util_legible_bytes): Changed argument's type, 
	  from gchar to guint64.
	* src/gnome-nettool.glade: Remove frame 'IPv4 only'.
	* src/nettool.h: Removed widget ipv4_frame.

2008-12-07  German Poo-Caamano <gpoo@gnome.org>

	* configure.in: version 2.25.3.  Updated requirment for
	  GTK to 2.6.0.

2008-12-07  German Poo-Caamano <gpoo@gnome.org>

	* src/callbacks.c: Fixed #341070.  Added credits for artists and
	  fixed some fields according to the proposal of GnomeGoal/AboutDialog
	  (Alejandro Andrés).

2008-12-03  German Poo-Caamano <gpoo@gnome.org>

	* src/finger.c: Fixed #549588.  Try to use pinky instead of finger. Use
	  finger as fallback. It reduces one dependency on Linux systems.

2008-12-03  German Poo-Caamano <gpoo@gnome.org>

	* src/callbacks.c: Fixed #560435.  Removed deprecated symbols
	  from glib (Maxim Ermilov).

2008-12-03  German Poo-Caamano <gpoo@gnome.org>

	* src/callbacks.c: Fixed #559852.  Make the copyright string 
	  translatable (Claude Paroz)

2008-12-03  German Poo-Caamano <gpoo@gnome.org>

	* src/scan.c: Fixed #551754.  Fixed unlocalized string in port
	  scan (Takao Fujiwara).

2008-12-02  German Poo-Caamano <gpoo@gnome.org>

	* src/main.c: Fixed #510451 and #509436
	  Added context information about DNS records for translators. 

2008-11-26  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/gnome-nettool.glade: remove warnings about non-zero page size.

2008-11-26  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/gn-combo-history.h: don't do single includes, fixes bug #561229.
	Patch by Maxim Ermilov

2008-09-23  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2.

==================== 2.22.1 ====================

2008-09-23  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.22.1

2008-05-04  German Poo-Caamano <gpoo@ubiobio.cl>

	* pixmaps/icons/24x24/apps/gnome-nettool.png: Fixed #524078
	  Replaced icon with wrong size (256x256 => 24x24) (Jones Lee).

2008-03-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: release 2.22.0.

2008-01-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* src/main.c: (nettool_lookup_setup_combo_type):
	Translated dns lookup type. See bug #508610.

2007-10-25  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/mii.h: Replaced SIOCGMIIPHY definitions by including
	  linux/sockios.h, which can keep more updated than our
	  definitions. Fixed #451925 (Patch by Narenda K).

2007-09-18  German Poo-Caamano <gpoo@ubiobio.cl>

	* configure.in:
	* pixmaps/icons/24x24/Makefile.am: 
	* pixmaps/icons/24x24/apps/Makefile.am: 
	* pixmaps/icons/24x24/apps/gnome-nettool:
	* pixpams/icons/Makefile.am: Added icon with size 24x24
	  Fixed #470264
	* configure.in: Updated target version to 2.21.0

2007-09-17  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.20.0.

2007-08-13  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/scan.c: Fixed #467467.  Changed the total number of 
	  ports to scan to 65535.

2007-08-13  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.19.90.

2007-08-13  German Poo-Caamano <gpoo@ubiobio.cl>

	* MAINTAINERS: Updated to new format requested by 
	  Olav Vitters.

2007-08-05  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/traceroute.c:
	* src/ping.c: Fixed the output for each command processed. 
	  Append each line at the endd of the the table output, instead
	  of after the cursor position. Fixed #408452.

2007-08-04  German Poo-Caamano <gpoo@ubiobio.cl>

	* configure.in: Added gnome-doc-utils dependency.

2007-08-04  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/gnome-nettool.desktop.in.in: Better application's description.
	  (From Debian patches throught Ubuntu).

2007-08-04  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/callbacks.c: Added message for translators.

2007-08-04  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/callbacks.c: Added missing strings for translations. 
	  Fixed #414068.
	* pixmaps/icons/*/apps: Fixed some other icons' locations.

2007-08-04  German Poo-Caamano <gpoo@ubiobio.cl>

	* pixmaps/icons/*/apps: Fixed locations of icons.
	* po/POTFILES.skip: Added src/gnome-nettool.desktop.in as
	  not to be translated.
	* configure.in: Updated target version to 2.19.1.

2007-08-04  German Poo-Caamano <gpoo@ubiobio.cl>

	Fixed #401076.

	* pixmaps/Makefile.am: 
	* pixmaps/icons/16x16/gnome-nettool.png
	* pixmaps/icons/16x16/Makefile.am
	* pixmaps/icons/22x22/gnome-nettool.png
	* pixmaps/icons/22x22/Makefile.am
	* pixmaps/icons/32x32/gnome-nettool.png
	* pixmaps/icons/32x32/Makefile.am
	* pixmaps/icons/scalable/gnome-nettool.svg
	* pixmaps/icons/scalable/Makefile.am
	* pixmaps/icons/Makefile.am: Added (tango) icons and rules for
	  various sizes.  Icons made by Hylke Bons.
	* pixmaps/gnome-nettool.png: Updated to a Tango logo by Hylke Bons.
	* src/gnome-nettool.png: Deleted duplicated logo.
	* configure.in: Added Makefiles' from pixmaps/icons directory.

2007-03-12  German Poo-Caamano <gpoo@ubiobio.cl>

	* NEWS: Updated 

2007-03-16  Loïc Minier  <lminier@svn.gnome.org>

	* src/nettool.c: (netinfo_text_buffer_insert):
	Set the I/O channel's encoding to the current locale and add some
	error handling; fixes bug #311350.

2007-03-12  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.18.0.

2007-03-11  Christian Kirbach  <Christian.Kirbach@googlemail.com>

        * src/gnome-nettool.desktop.in.in:
        "Application" is not a valid category in the freedesktop.org
        specification. Added missing semicolon.

2006-12-18  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.17.4.

2006-12-01  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/gn-combo-history.c:
	* src/netstat.c:
	  - Remember to free the strings in the list beside the list itself 
	  - Avoid useless GSList -> GList conversion
	  - Avoid unneeded allocations
	  - Avoid quadratic behavior (appending to a list in a for loop 
	    is not a good idea, better to prepend and then reverse, but here
		we can get rid of the new list at all)
	  Fixed #352148.

	  Patch provided by Paolo Borelli <pborelli@katamail.com>

2006-12-01  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/info.c: Fixes compilation in OpenBSD.  Fixes 
	  #357839.

	  Patch provided by 
	  Marc Brockschmidt <he+bugzilla.g@marcbrockschmidt.de>

2006-12-01  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/netstat.[ch]:
	* src/ping.h: Added support for OpenBSD trough defining
	  __OpenBSD__ in the same places as __FreeBSD__. Fixed
	  #357840.

	  Patch provided by 
	  Marc Brockschmidt <he+bugzilla.g@marcbrockschmidt.de>

2006-12-01  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/gnome-nettool.glade:
	* src/main.c:
	* src/ping.c:
	* src/netinfo.h: Changed the semantic for packets_loss.  Now
	  is packets_success.  Fixed #128264.

2006-11-29  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/gnome-nettool.glade:
	* src/main.c:
	* src/nettool.h:
	* src/ping.c:
	* src/ping.h: Added bar-graph display for ping.
	Patch provided by Callum McKenzie <callum@spooky-possum.org>
	Fixed #346528.

2006-09-03  German Poo-Caamano <gpoo@ubiobio.cl>

	* configure.in: Version 2.17.3. (No .1 and .2 versions).

2006-11-12  German Poo-Caamano <gpoo@ubiobio.cl>

	* New branch gnome-2-16

2006-09-03  German Poo-Caamano <gpoo@ubiobio.cl>

	* configure.in: Version 2.16.0.

2006-08-20  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.15.92.

2006-08-20  German Poo-Caamano <gpoo@ubiobio.cl>

	* NEWS: Updated for release 2.15.92

2006-08-20  German Poo-Caamano <gpoo@ubiobio.cl>

	* src/netstat.c: Fixed memory leak (Paolo Borelli)

2006-08-14  Giribabu Bikki <giribabu_bikki@dell.com>

	Fixes bug#347310

	* src/info.c: (info_get_nic_information)
	  shows correct hardware address on 64 bit machines

2006-08-20  German Poo-Caamano <gpoo@ubiobio.cl>

	* Makefile.am: Changed the order of SUBDIRS to fix the build.

2006-08-20  German Poo-Caamano <gpoo@ubiobio.cl>

	Fixed #348546

	* configure.in: Updated to new version (2.15.92)
	  Added src/gnome-nettool.desktop.in as output.
	* src/gnome-nettool.desktop.in: Removed.
	* src/gnome-nettool.desktop.in.in: Added to allow the inclusion
	  of @PACKAGE_VERSION@

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix intltool req.
	* src/util-mii-wireless.h: Fix a typo in a comment.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix intltool req.
	* src/util-mii-wireless.h: Fix a typo in a comment.

2006-05-11  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.15.91.

2006-08-08  Brian Pepple  <bdpepple@gmail.com>

	* po/LINGUAS: New file listing all supported languages.

	* configure.in: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

2006-07-31  Arangel Angov <ufo@linux.net.mk>

	* configure.in: Added 'sl' to ALL_LINGUAS.

2006-07-19  Thierry Randrianiriana  <thierryR@cvs.gnome.org>

	* configure.in: Added the Malagasy code 'mg' to ALL_LINGUAS.
	* po/mg.po: Added Malagasy translation.

2006-07-03  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-06-38  German Poo-Caamano <gpoo@ubiobio.cl>

	Fixed #341830

	* src/finger.c:
	* src/ping.c:
	* src/whois.c: Fixed #341830, micro cleanup (Paolo Borelli)

2006-06-14  German Poo-Caamano <gpoo@ubiobio.cl>

	Fixed #344831

	* src/nettool.c: Added netinet/in.h to fix compilation on Mac OSX 10.3
	  patch send by Christian.Kirbach@student.uni-siegen.de

2006-06-14  German Poo-Caamano <gpoo@ubiobio.cl>

	* configure.in:
	* NEWS:
	Updated for the next development version (2.15.4 to be synced with
	GNOME)

2006-05-11  German Poo-Caamano <gpoo@ubiobio.cl>

	Released 2.15.0.

2006-05-08  Alejandro Andres <fuzzy.alej@fsfe.org>

	* src/callbacks.[ch] (on_beep_activate):
	* src/main.c (main):
	* src/nettool.h:
	* src/gnome-nettool.glade:
	* ping.c (ping_foreach_with_tree):
	Added sound support for ping. Fixed #129326.

2006-05-06  Alejandro Andres <fuzzy.alej@fsfe.org>

	* src/utils.c (util_find_program_dialog): Fixed #154069
	  with a better message.

2006-04-30  Alejandro Andres <fuzzy.alej@gmail.com>

	* src/ping.c (scan_do, ping_foreach_with_tree): Fixed #340209.

2006-04-26  Gora Mohanty  <gmohanty@cvs.gnome.org>

	* configure.in: Added 'lv' (Latvian) to ALL_LINGUAS.

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-15  Alejandro Andres <fuzzy.alej@gmail.com>

	* src/scan.c (scan_do): Added a signal handler (wait_for_child).
	Fixes #307529.

2006-04-15  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* configure.in: Fixed #333040.  Do not build gnome-nettool if
	some header files does not exist.

2006-04-15  Alejandro Andres <fuzzy.alej@gmail.com>

	* src/gnome-nettool.glade:
	* src/callbacks.c (on_page_switch):
	Fixes #338278. "Network Tools" is now shown last in window title

2006-04-15  Alejandro Andres <fuzzy.alej@gmail.com>

	* src/ping.h: defines PING_PROGRAM_FORMAT_6 for sun and hpux
	Fixes #316659

2006-04-14  Alejandro Andres <fuzzy.alej@gmail.com>

	Fixes #338272

	* src/ping.h: fixes parameters of ping when a broadcast address is
	given

2006-04-14  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* src/nettool.c (netinfo_io_text_buffer_dialog):
	* src/ping.[ch] (ping_foreach):
	* src/netstat.[ch] (netstat_foreach):
	* src/lookup.[ch] (lookup_foreach):
	* src/finger.[ch] (finger_foreach):
	* src/traceroute.[ch] (traceroute_foreach): Fixed signedness compilation
	  warning
	* src/info.c (info_load_iface): Fixed compilation warning due a
	  variable unitialized

2006-04-14  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* COPYING, INSTALL: Added as files instead of trust in automake's
	  options.

2006-04-14  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	Fixed 334687

	* src/info.[ch]: Fixed InfoIpAddr leakage (Paolo Borelli)

2006-04-13  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* NEWS: Updated with all the changes since the last
	  stable release.

2006-04-13  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	Fixed #333040

	* configure.in: Added a check for ifaddrs.h

2006-04-11  Brian Pepple  <bdpepple@gmail.com>

	* src/callbacks.c (on_about_activate):
	* pixmaps/Makefile.am (icondir):
	* src/main.c (main):
	* src/gnome-nettool.desktop.in (Icon): Install theme-friendly
	icons. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/AppIcon

2006-04-04  Alejandro Andres <fuzzy.alej@gmail.com>

	Fixes #336941

	* src/lookup.h: fixed bad formed defines (LOOKUP_FORMAT*)

2006-04-03  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* configure.in: Updated to new version (2.15)

2006-04-03  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* src/info.c (info_get_nic_information): Fixed #333540
	  (an unitialized variable was used, showing a weird text)

2006-04-02  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* src/main.c (load_finger_widgets_from_xml): Changed example string
	  for something more ad-hoc.  Fixed #151007.

2006-04-02  Tommi Vainikainen  <thv@iki.fi>

	* m4/.cvsignore: Added.
	* .cvsignore, Makefile.am, configure.in, help/ChangeLog: Migrated
	to gnome-doc-utils.

2006-04-02  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* autogen.sh: Added restriction to require automake 1.9

2006-04-02  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	Fixes #328041

	* src/gnome-nettool.desktop.in: Addes GNOME and GTK to
	  Categories.

2006-04-02  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	Fixes #300962

	* src/callbacks.c: Fixed 'translation-credits'

2006-04-02  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* New branch gnome-2-14

2006-03-24  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-16  Rodrigo Moya <rodrigo@novell.com>

	Released 2.14.0.

2006-03-16  Paolo Borelli <pborelli@katamail.com>

	Fixes #326184

	* src/main.c (main): deal with errors from gtk_init_with_args.

2006-02-27  Rodrigo Moya <rodrigo@novell.com>

	Released 2.13.91.

2006-02-27  Rodrigo Moya <rodrigo@novell.com>

	Fixes #313571

	* src/info.c (info_get_interface_from_dev_name): marked missing
	string for translation.

2006-01-30  Rodrigo Moya <rodrigo@novell.com>

	Released 2.13.90.

2006-01-28  Brent Smith <gnome@nextreality.net>

	Fixes #326610

	* src/gnome-nettool.glade:
	* src/main.c (main): connect by hand to About menu item.

2006-01-17  Rodrigo Moya <rodrigo@novell.com>

	Released 2.13.5.

2006-01-09  German Poo-Caaman~o  <gpoog@ubiobio.cl>

	* configure.in: Changed the target version to 2.13.

2005-12-16  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2005-10-18  Rhys Jones  <rhys@sucs.org>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2005-10-03  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.4.1.

2005-09-05  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.4.0.

2005-08-22  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.92.

2005-08-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.91.

2006-07-01  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.3.0.

2005-05-10  William Jon McCann  <mccann@jhu.edu>

	* src/nettool.c (netinfo_error_message):
	Don't use a title on alert dialogs per HIG.

2005-05-06  William Jon McCann  <mccann@jhu.edu>

	* src/netstat.c:
	* src/utils.c:
	* src/main.c:
	* src/finger.c:
	* src/scan.c:
	* src/nettool.c:
	* src/callbacks.c: Add missing includes to fix compiler warnings.

2005-05-06  William Jon McCann  <mccann@jhu.edu>

	* src/main.c (main): Fix misspelling and use correct program name.

2005-05-06  Carlos Garcia Campos <carlosgc@gnome.org>

	* src/main.c: Never activate the progress bar in the info tool

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-23  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-22  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* configure.in:
	* src/callbacks.c:
	* src/callbacks.h:
	* src/finger.h:
	* src/gn-combo-history.c:
	* src/gnome-nettool.glade:
	* src/info.h:
	* src/lookup.h:
	* src/main.c:
	* src/netstat.h:
	* src/nettool.h:
	* src/ping.h:
	* src/scan.h:
	* src/traceroute.h:
	* src/utils.c:
	* src/utils.h:
	* src/whois.h: removed libgnome* depedencies. Applied Kristof
	  Vansant's patches #38844 and #38893, from bug #167218.

2005-03-22  German Poo-Caaman~o <gpoo@ubiobio.cl>

	Reverted patch #38884 from bugzilla (#167218), becuase
	it breaks GNOME 2.10 string freeze.

2005-03-17  Kristof Vansant <de_lupus@pandora.be>

	* */*: removed libgnome* dependencies.

2005-02-28  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.2.0.

2005-03-03  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "hr" "mk" "ml" to ALL_LINGUAS.

2005-02-12  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2005-02-01  meissner@suse.de

	Fixes #165905

	* src/scan.c (scan_create_model): NULL terminate the g_object_set
	call.

2005-01-27  William Jon McCann  <mccann@jhu.edu>

	* src/info.c (info_get_nic, info_nic_update_stats)
	(info_nic_changed, info_copy_to_clipboard):
	Add info_get_nic function.  Use it to replace obsolete
	code in info_copy_to_clipboard().  Fixes #152296.

2005-01-24  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.1.0

2005-01-21  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2005-01-10  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

2005-01-07  William Jon McCann  <mccann@jhu.edu>

	* src/whois.c:
	* src/traceroute.c:
	* src/scan.c:
	* src/ping.c:
	* src/nettool.c:
	* src/netstat.c:
	* src/lookup.c:
	* src/info.c:
	* src/finger.c:
	* src/callbacks.c:
	* configure.in:
	Replace gnome.h with gtk.h and gi18n.h.  Use gtk 2.5 about dialog
	and HIG message dialog.

	* AUTHORS: Add all authors to sync with about box.

2004-12-22  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 1.0.0.

2004-12-10  Sanlig Badral  <badral@openmn.org>

	* configure.in: Added "mn" to ALL_LINGUAS.

2004-12-05  Zygimantas Berucka  <uid0@akl.lt>

	* configure.in: Added "lt" (Lithuanian) to ALL_LINGUAS.

2004-11-17  William Jon McCann  <mccann@jhu.edu>

	* src/nettool.c (netinfo_io_text_buffer_dialog)
	(netinfo_text_buffer_insert): Make output read non-blocking.
	Fixes #157498.

2004-11-17  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-nettool.desktop.in: Add startup-notification.  Fixes #157167.

2004-11-15  William Jon McCann  <mccann@jhu.edu>

	* src/nettool.c (netinfo_set_user, netinfo_set_host):
	* src/info.c (info_set_nic): Fix to work with GtkComboBox.
	Fixes #154070.

	* src/gn-combo-history.c (gn_on_gconf_history_changed): Don't unset the
	active item when gconf changes.

2004-11-03  German Poo-Caamaño <gpoo@ubiobio.cl>

	* pixmaps/network.png: Resized of network icon to 16x16.

2004-10-27  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-10-25  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added "id" (Indonesian) to ALL_LINGUAS
	* po/id.po: Added Indonesian translation

2004-09-20  German Poo-Caamaño <gpoo@ubiobio.cl>

	* src/gnome-nettool.glade: Fixed a typo in ping. bug #151913

2004-10-20  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #153184

	* src/gnome-nettool.desktop.in: put gnome-nettool in the System
	Tools menu, not Internet.

2004-10-20  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #151915

	* src/info.c (info_load_iface): don't use markup in translatable
	messages.

2004-10-18  Mario Fuentes <mario@gnome.cl>

	* main.c (load_ping_widgets_from_xml): connected "toggled" signal
	  of limited RadioButton to on_ping_toggled callback.
	* callbacks.[ch]: Added on_ping_toggled callback for set sensitive
	  property of count SpinButton to false when limited RadioButton
	  isn't toggled.

2004-09-21  Stanislav Visnovsky <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS

2004-09-12  Mugurel Tudor  <mugurelu@go.ro>

	* configure.in: Added "ro" to ALL_LINGUAS

2004-09-10  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* src/gnome-nettool.glade: Fixed a typo in ping. bug #151913

2004-09-10  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* src/traceroute.c (traceroute_do): Commented g_print with
	  output command.

	* src/lookup.c (lookup_create_model): Fixed bug #143933.

2004-09-09  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* TODO: Updated.

	* src/nettool.c (netinfo_error_message): Free allocated message
	  string.
	  (netinfo_validate_host): Changed the order of dns querys,
	  It should be ask for IPv4 address at first, not IPv6.  Asking
	  for IPv6 mostly would make two dns query.

	* src/lookup.c (lookup_do):
	* src/callbacks.c (on_lookup_activate): Changed netinfo_validate_host
	  by netinfo_validate_domain.  It doesn't make sense to resolve an
	  address that is suppossed to be resolved by dig.  i.e. now is
	  possible to ask for TLD's domains.

	* src/ping.c (ping_do):
	* src/traceroute.c (traceroute_do):
	* src/scan.c (scan_do): Changed netinfo_validate_host by
	  netinfo_validate_domain. We don't want to resolve a hostname
	  twice.  It was made on the callback (ouch!, we need a better
	  solution for this)

2004-09-09  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* configure.in:
	* src/main.c:
	* src/callbacks.c: Cleaned IFCONFIG dependencies.

2004-09-09  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* autogen.sh: Simplified and added requisite for automake 1.7

	* Makefile.am:
	  src/Makefile.am: Added DISTCLEANFILES to fix distcheck with
	  automake 1.7

2004-09-09  Arafat Medini  <lumina@arabeyes.org>

	* onfigure.in: Added Arabic locale "ar" to ALL_LINGUAS.

2004-09-08  Arafat Medini  <lumina@arabeyes.org>

	* onfigure.in: Added Arabic locale "ar" to ALL_LINGUAS.

2004-08-30  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.99.3

2004-08-28  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-24  Jayaradha  <njaya@redhat.com>

	* configure.in: Added ta to ALL_LINGUAS.

2004-08-25  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-08-24  Tommi Vainikainen  <thv@iki.fi>

	* configure.in: Added fi to ALL_LINGUAS.

2004-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-23  William Jon McCann  <mccann@jhu.edu>

	* src/callbacks.c (gn_quit_app): Return TRUE.  Fixes #144364.

2004-08-20  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.99.2

2004-08-18  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #150470

	* configure.in: no need to AC_SUBST(pixmapsdir) here. Removed help/
	directory from the build until it's ready.

	* pixmaps/Makefile.am: install gnome-nettool.png and define
	pixmapsdir here.

	* src/Makefile.am: pass -DPIXMAPS_DIR to compiler.

	* src/callbacks.c (on_about_activate): s/GNOME_ICONDIR/PIXMAPS_DIR.

2004-08-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* help/C/*:
	* help/Makefile.am: added beginning of documentation.

	* configure.in:
	* Makefile.am: added help directory to build.

2004-08-01  Sayamindu Dasgupta <sayamindu@gnome.org>

	* configure.in: Added bn to ALL_LINGUAS

2004-06-29  William Jon McCann  <mccann@jhu.edu>

	* src/callbacks.c (on_about_activate): Update copyright date.

	* src/gnome-nettool.glade: Use sentence capitalization for combobox
	labels.  Make network device combobox expand to fill space.  Make
	statistics text not expand to fill space.  Remove redundant verb
	from ping radio button label.  Fixes #144393.

	* src/gnome-nettool.glade:
	* src/main.c (load_ping_widgets_from_xml)
	(load_traceroute_widgets_from_xml, load_info_widgets_from_xml)
	(load_scan_widgets_from_xml, load_lookup_widgets_from_xml)
	(load_finger_widgets_from_xml, load_whois_widgets_from_xml):
	Activate the combobox when the label mnemonic is used.

	* src/callbacks.c (on_about_activate):
	* pixmaps/Makefile.am (pixmaps_DATA): Return the application
	icon into the pixmap directory so the .desktop file can find it.

2004-06-14  William Jon McCann  <mccann@jhu.edu>

	* src/callbacks.c (gn_quit_app): Use gboolean type for
	delete-event handler.

2004-06-23  Carlos García Campos <carlosgc@gnome.org>

	* src/callbacks.c (on_page_switch), src/finger.c (finger_do),
	src/lookup.c (lookup_do), src/netstat.c (get_active_option),
	src/nettool.[ch] (toggle_state), src/ping.c (ping_do), src/scan.c
	(scan_do), src/traceroute.c (traceroute_do), src/whois.c (whois_do):
	added status_bar messages

	* src/main.c (load_*_widgets_from_xml): added tooltips

	* src/gnome-nettool.glade: "Send unlimited requests" renamed as
	"Unlimited requests"

2004-06-14  Fernando Herrera  <fherrera@onirica.com>

	* src/info.c: (info_get_nic_information), (info_get_interfaces):
	check if ifa_addr is NULL before trying to access it. Bug #144300

2004-06-13 JÃ¼rg Billeter  <j@bitron.ch>

	Fixes #144278

	* src/info.c: add prefix for unknown interface in info_iface_desc
	to fix crash on startup

2004-06-13  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.99.1.

2004-06-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/callbacks.[ch] (on_configure_button_clicked): added,
	configures the interface calling network-admin from g-s-t

	* src/gnome-nettool.glade: added the "configure" button

	* src/nettool.h: added configure button and path to network-admin
	in the struct

	* src/main.c: loaded the button from the glade XML

	* src/info.[ch]: added some logic for hiding/showing and turning
	sensitive/unsensitive the button, added a define with network-admin
	executable name

2004-06-09  William Jon McCann  <mccann@jhu.edu>

	* src/callbacks.c (on_clear_history_activate): Clear history in
	finger user and whois domain again.

	* src/nettool.c (netinfo_toggle_state): Make notebook tab bold
	when a tool is running.  This allows the user to see that a tool
	is running when another tool page is loaded.

	* src/callbacks.c (on_whois_activate): Use netinfo_validate_domain.

	* src/nettool.[ch] (netinfo_validate_domain): New function to
	validate domain.
	(netinfo_error_message): New HIGish error dialog.
	(netinfo_validate_host): use netinfo_error_message function.

2004-06-09  Carlos García Campos <carlosgc@gnome.org>

	* src/callbacks.c (on_finger_activate): s/strcmp/g_strcasecmp/

	* src/gn-combo-history.c ([sg]et_property, history_init,
	history_finalize, history_gconf_load, history_set_popdown_strings,
	gconf_history_changed, history_gconf_register_id, history_clear,
	history_[sg]et_max_history ): added a property to limit the size of
	the history (10 by defualt). Added a callback to update the history in
	real time.

	* src/gn-combo-history.h: added get/set functions to manage the
	max_history property

2004-06-09  William Jon McCann  <mccann@jhu.edu>

	* src/callbacks.c (on_finger_activate): Allow blank hostname to finger
	local system.

	* src/main.c (load_whois_widgets_from_xml): Use distinct history id again
	for whois domain.

2004-06-09  William Jon McCann  <mccann@jhu.edu>

	* src/main.c (load_info_widgets_from_xml): Use size group to align labels.
	(main): Removed spurious commented code.

2004-06-08  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-nettool.glade: Replace object attributes dropped in Carlos's commit.

2004-06-08  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-nettool.glade: Revert change that adds underscores to
	notebook tab labels.

2004-06-08  Carlos García Campos <carlosgc@gnome.org>

	* src/info.c (load_iface): checks if there is no network devices
	enabled

	* src/gnome-nettool.glade: s/GtkCombo/GtkComboBox and added a treeview
	to show the IP information when there are IPv6 ips.

	* src/info.c (set_nic, load_iface, ip6_masklen,
	ip6_construct_address, get_nic_information, get_interfaces),
	src/info.h, src/main.c (list_ip_addr_add_columns,
	load_info_widgets_from_xml), src/nettol.h: IPv6 support.
	When there are IPv6 addresses, a treeview is shown with
	the information about all of the ip addresses, but if there aren't IPv6
	addresses, the IPv4 information is shown in text labels.

	* src/info.c (load_iface, nic_update_stats, nic_changed), src/info.h,
	src/main.c (load_info_widgets_from_xml): Ported to GTK+ 2.4, uses
	GtkComboBox instead of GtkCombo

	* pixmaps, pixmaps/Makefile.am, configure.in: added a pixmap directory and
	moved gnome-nettol.png from src to pixmaps. Added all of the pixmaps
	needed to the new pixmap directory.

	* configure.in: checks the libraries version because now
	nettool depends on gtk+ >= 2.4

	* src/*.c, : ported to Gtk+ 2.4, uses GtkComboBox and GtkEntryCompletion
	instead of GnomeEntry (deprecated)

	* src/gnome-nettool.glade: some gui changes that make it a bit more
	HIG-Compliant

	* src/callbacks.c (on_about_activate), src/main.c (main): uses
	PIXMAPS_DIR instead of GNOME_ICONDIR and gnome-nettool.png instead of
	gnome-netinfo.png

	* src/gn-combo-history.[ch]: files added. It is an object to manage
	the history of new combo boxes

	* src/main.c (load_*_widgets_from_xml), src/callbacks
	(on_*_activate): added support for history in
	new combo boxes

	* src/callbacks.c, src/info.c, src/ping.c, src/traceroute.c,
	src/lookup.c, src/util-mii.c: added #include <glib/gprintf.h> to avoid
	compile warnings about g_sprintf ()

2004-06-06  William Jon McCann  <mccann@jhu.edu>

	* src/netstat.c (netstat_protocol_tree_insert)
	(netstat_route_tree_insert, netstat_multicast_tree_insert):
	* src/traceroute.c (traceroute_foreach_with_tree):
	* src/scan.c (scan_define_model):
	* src/lookup.c (lookup_foreach_with_tree):
	* src/ping.c (ping_foreach_with_tree):
	Remove grab_focus calls.  They steal focus away from the user
	who may be typing in another tab.

2004-06-06  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-nettool.glade: Use GtkProgressBar and GtkStatusBar.

2004-06-04  William Jon McCann  <mccann@jhu.edu>

	* src/nettool.[ch] (netinfo_toggle_state, update_progress_bar)
	(netinfo_progress_indicator_stop)
	(netinfo_progress_indicator_start):

	* src/main.c (main, load_ping_widgets_from_xml)
	(load_traceroute_widgets_from_xml, load_netstat_widgets_from_xml)
	(load_info_widgets_from_xml, load_scan_widgets_from_xml)
	(load_lookup_widgets_from_xml, load_finger_widgets_from_xml)
	(load_whois_widgets_from_xml):

	* src/callbacks.[ch] (gn_quit_app, get_netinfo_for_page)
	(on_copy_activate, on_page_switch):
	Add progressbar and statusbar.  Pulse the progressbar when a
	tool is in use.  Handle page switching.  Update window title
	to reflect page label name.

2004-06-04  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-nettool.glade: Use many of the label layout suggestions
	of Luca Ferretti.  Add appbar.

2004-06-04  Sebastian Heinlein <glatzor@pimpzkru.de>

	Fixes #143691

	* src/gnome-nettool.desktop.in: Add gettext marks for name
	and description in the desktop file.

2004-06-03  William Jon McCann  <mccann@jhu.edu>

	* configure.in: Remove deprecated and obsolete GNOME_PLATFORM_GNOME_2

2004-06-02  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-06-02  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-06-02  Fernando Herrera  <fherrera@onirica.com>

	* src/gnome-nettool.desktop.in: Add bugzilla info (Bug #143533)
	* src/main.c: (main): Use gtk_icon_theme for the window icon (Bug
	#143532)

2004-05-15  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-nettool.glade: Replace object attributes dropped in last commit.

2004-05-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/callbacks.c (on_about_activate):
	* src/gnome-nettool.glade: s/Info/Tool in menus and window title.

2004-05-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* src/nettool.c (netinfo_validate_host): Fixed warning in
	  GtkDialog.

2004-05-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* src/Makefile.am: Fixed variable typo (It was
	  missing after the change of the name:
	  NETINFO -> NETTOOL

2004-05-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* src/gnome-nettool.glade: Fixed bug #136241
	  Thanks to Billy O'Connor <billyoc@gnuyork.org>

2004-05-10  Rodrigo Moya <rodrigo@gnome-db.org>

	Renamed to gnome-nettool.

	* src/*.[ch]: use new header file

2004-03-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/callbacks.c (on_about_activate): added Carlos and myself to list
	of authors.

2004-03-21  Carlos García Campos <carlosgc@gnome.org>

	* src/callbacks.c (on_about_activate): updated the name of the tool using
	GNOME Netinfo. Removed the "untranslated version" message.

2004-03-21  Carlos Garcia Campos <carlosgc@gnome.org>

	* src/netinfo.c (toggle_state): change the cursor to GDK_WATCH when
	a process is running

	* src/netinfo.[ch] (is_ipv6_enable): added is_ipv6_enable function to
	know if IPv6 is enabled in the system

	* src/netstat.[ch] (get_active_option, strip_protocol_line,
	strip_route_line, *_tree_insert): IPv6 support

	* src/netstat.[ch] (get_active_option): checks if IPv6 is enabled before
	use inet6 protocol

	* src/netstat.c (*_tree_insert): the tree_model doesn't change when
	you toggle between protocol and route twice

2004-03-14  Rodrigo Moya <rodrigo@gnome-db.org>

	Released 0.99.0

2004-02-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: set version to 0.99.0.

	* Makefile.am: added intltool files to EXTRA_DIST and po/ directory
	to build.

	* src/Makefile.am: removed *.gladep from EXTRA_DIST.

2004-01-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* src/Makefile.am: s/gnome-network/gnome-netinfo.

2004-01-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* debian/*: s/gnome-network/gnome-netinfo.

	* autogen.sh: fixed c/p typo.

	* NEWS:
	* MAINTAINERS: added new files.

2004-01-23  Rodrigo Moya <rodrigo@gnome-db.org>

	Splitted from gnome-network to its own CVS module.

2004-01-05  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* info.c:
	  callbacks.c:
	  netinfo.c:
	  netstat.[ch]:
	  ping.[ch]:
	  util-mii.c: Applied patch from Joe Marcus Clarke
	    marcus@freebsd.org, Fixed bug #128719

2004-01-05  Ulrich Neumann <U_Neumann@gne.de>

	* Makefile.am: removed redundant includedir.

2003-12-16  William Jon McCann  <mccann@jhu.edu>

	* main.c (load_finger_widgets_from_xml)
	(load_whois_widgets_from_xml): Use monospace font instead of fixed.

	* gnome-netinfo.desktop.in (Name): Capitalize name.

	* netinfo.h: Fix out of order enum fields.

	* netinfo.[ch] (netinfo_set_host): New function to set host field
	in UI.
	(netinfo_set_user): New function to set user field in UI.

	* main.c (start_initial_process_cb): New function to process
	command line requests.
	(main): Add command line options and set initial state.

	* info.[ch] (info_set_nic): New function to set interface in UI.

	* callbacks.h: Add typedef for activate callback functions.

2003-12-15  Carlos García Campos <carlosgc@gnome.org>

	* info.c (info_get_nic_information): removed invalid g_free()

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* main.c: (load_whois_widgets_from_xml): we don't have a "user"
    entry in the whois tab (fixes startup warnings)
	  fixes #128282

2003-12-04  William Jon McCann  <mccann@jhu.edu>

	* utils.c (util_legible_bytes): Fix computation of number of bytes
	sent and received.  Add single digit of precision to returned label.

2003-11-24  William Jon McCann  <mccann@jhu.edu>

	* gnome-netinfo.glade: Changed File menu to Information
	and renamed Information notebook page to Devices.

2003-11-20  William Jon McCann  <mccann@jhu.edu>

	* callbacks.c (on_clear_history_activate):
	* callbacks.h:
	* gnome-netinfo.glade: Add a Clear History menu item.

	* main.c (main, load_info_widgets_from_xml):
	* util-mii.c:
	* whois.c (whois_do, whois_foreach):
	* finger.c (finger_do, finger_foreach):
	* lookup.c (lookup_do, lookup_foreach, lookup_create_model):
	* scan.c (scan_do, scan_foreach):
	* info.c (info_load_iface, info_nic_update_stats)
	(info_copy_to_clipboard):
	* netstat.c (netstat_get_active_option2, netstat_do)
	(netstat_foreach, netstat_foreach_with_tree)
	(netstat_copy_to_clipboard, strip_protocol_line)
	(strip_multicast_line, strip_route_line):
	* traceroute.c (traceroute_do, traceroute_foreach):
	* ping.c (ping_do, ping_foreach_with_tree, strip_line):
	* netinfo.c (netinfo_get_count, netinfo_text_buffer_insert)
	(netinfo_io_text_buffer_dialog, netinfo_toggle_button):
	* ping.h:
	Clean up compiler warnings.  Mostly removed unused variables and
	added prototypes.

2003-11-19  William Jon McCann  <mccann@jhu.edu>

	* netinfo.h:
	* main.c (main):
	* gnome-netinfo.glade:
	* callbacks.h:
	* callbacks.c (on_copy_activate):
	* Makefile.am (gnome_netinfo_SOURCES):
	Added whois function.

	* main.c (load_whois_widgets_from_xml):
	* callbacks.c (on_whois_activate): New functions for whois query.

	* whois.[ch]: New files for whois query.

2003-11-18  William Jon McCann  <mccann@jhu.edu>

	* lookup.c (lookup_do): Add hostname validation to lookup function.
	At first this might seem odd.  But there is no point doing a DNS
	lookup if the name cannot be resolved.  It is also good to have
	consistent behavior from all the notebook tabs.

	* netinfo.c (netinfo_validate_host): Add a more descriptive message
	when network address is not specified.  Use markup per HIG.

	* netinfo.h:
	* main.c (load_ping_widgets_from_xml)
	(load_traceroute_widgets_from_xml, load_netstat_widgets_from_xml)
	(load_info_widgets_from_xml, load_scan_widgets_from_xml)
	(load_lookup_widgets_from_xml, load_finger_widgets_from_xml):
	Added pointer to main window to the netinfo structure.

	Based on changes sent by Carlos García Campos <carlosgc@gnome.org>
	* callbacks.[ch] (gn_quit_app), gnome-netinfo.glade:
	  kill of all the children before exit
	* netinfo.[ch] (validate_host): function to validate a host
	  fixes bug #114894
	* ping.c (ping_do), scan.c (scan_do), traceroute.c (traceroute_do):
	  validates the host before doing the action, fixes bug #114894

2003-11-18  William Jon McCann  <mccann@jhu.edu>

	* scan.c (scan_do): Work around bug in RH9 where connect always
	returns zero for IPv6.  Also reduces the number of system calls
	performed.

2003-10-02  Carlos García Campos <carlosgc@gnome.org>

	* netinfo.c (get_ip_version): added a function to get the
	  ip version (IPv4 or IPv6) of a host or ip address
	* ping.c (ping_do, strip_line): IPv6 support
	* scan.c (scan_do): IPv6 support
	* traceroute.c (traceroute_do): IPv6 support

2003-08-31  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* lookup.c (lookup_create_model):
	* netstat.c (netstat_create_protocol_model,
	  netstat_create_multicast_model):
	* ping.c (ping_create_model):
	* traceroute.c (traceroute_create_model): Fixed alignment of
	  columns

2003-08-31  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* traceroute.c (traceroute_create_model): Fixed alignmet of
	  columns.
	  (stip_line): Fixed return data when the traceroute answer
	  is error.
	  (traceroute_foreach_with_tree): Fixed display of
	  traceroute output.
	* NEWS: Updated

2003-08-31  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* traceroute.c (traceroute_do): Fixed condition to guess
	  where tcptraceroute/traceroute is installed.
	  (traceroute_create_model): Commented lines where set
	  alignment results in UTF-8 warnings.

2003-08-25  William Jon McCann  <mccann@jhu.edu>

	* gnome-netinfo.png: Added new icon found by apg on jimmac's web.

	* Makefile.am (pixmap_DATA): Added new netinfo icon.

	* traceroute.c (traceroute_create_model): Align IP address to the
	left in tree column.

	* gnome-netinfo.desktop.in: Remove GNOME from text per HIG.
	Added default icon.

	* callbacks.c (on_about_activate): Added icon to about dialog.
	(on_about_activate): Use approved Copyright designation.

	* main.c (main): Use default program icon.

2003-08-08  Rodrigo Moya <rodrigo@gnome-db.org>

	Fixes #119199

	* callbacks.c (on_about_activate): don't mark copyright message
	for translation.

2003-08-03  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* callbacks.c (on_about_activate): Fixed bug #119019

2003-07-31  William Jon McCann  <mccann@jhu.edu>

	* Makefile.am (gnome_netinfo_SOURCES): Added finger.[ch]
	(gnome_netinfo_SOURCES): Added missing util-mii-wireless.h.

	* gnome-netinfo.glade: Added Finger notebook tab.

	* netinfo.[ch] (netinfo_get_user): New function.

	* callbacks.c (on_finger_activate):
	* main.c (load_finger_widgets_from_xml): New functions.  Added finger
	support.

	* finger.[ch]: New files.

2003-07-25  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* util-mii.c: Added get_legible_bits and mii_get_basic_wireless
	* util-mii-wireless.h: Added file with definitions to get
	  the link speed from wireless cards.

2003-07-25  William Jon McCann  <mccann@jhu.edu>

	* netinfo.c (netinfo_io_text_buffer_dialog): Use waitpid instead of
	wait.

2003-07-24  William Jon McCann  <mccann@jhu.edu>

	* scan.[ch] (strip_line): New function to parse port scan output.
	(scan_do): Rewrote using a fork and pipe model.  The child process
	simply writes to the parent process through a pipe.  This allows
	us to stop the scan process.  It behaves just the same as the other
	functions except that it forks instead of spawns.
	(scan_foreach): New function to process lines of port scan output.

	* netinfo.[ch] (netinfo_io_text_buffer_dialog): Made function not
	static so that it may be used in scan.c.
	(netinfo_io_text_buffer_dialog): Added wait for child processes.

	* main.c (load_scan_widgets_from_xml): Hook up new scan_foreach function
	to process output.

2003-07-24  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* utils.[ch]: Added util_legible_bytes that convert a number
	  (in text) in another one more legible (with units).
	* info.c (info_nic_update_stats): Use of util_legible_bytes
	  for a better output.

2003-07-24  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* gnome-netinfo.glade (information tab): Added statistics
	  for transmission and reception bytes.
	* main.c (load_info_widgets_from_xml): Added new statistics
	  label widgets.
	  Deleted 'ifconfig' dependency.
	* info.c: Deleted 'ifconfig' dependency.
	  (info_nic_update_stats): Changed ifconfig by read /proc/net/dev
	  directly from Linux boxes.
	  Added statistics for transmission and reception bytes.
	* netinfo.h: Added rx_bytes and tx_bytes to Netinfo strucuture.

2003-07-24  William Jon McCann  <mccann@jhu.edu>

	* main.c (load_traceroute_widgets_from_xml): Trivial fix for
	incorrect button label being used after first press.

2003-07-24  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* utils.c (util_find_program_dialog): Verify if the parent
	  widget exists.
	* ChangeLog: Fixed a deleted entry by mistake

2003-07-24  William Jon McCann  <mccann@jhu.edu>

       * traceroute.c (traceroute_do): Added fail back to standard
       traceroute.  Also don't free unallocated strings.

2003-07-24  Abel Cheung  <maddog@linux.org.hk>

	* info.c(info_copy_to_clipboard):
	* netstat.c(netstat_copy_to_clipboard):
	  Don't mark empty string as translatable.

2003-07-23  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* scan.c (scan_do): Clean the anoying message (g_print), now
	  works only if DEBUG is defined.  (We need to work in
	  feedback for error)

2003-07-23  William Jon McCann  <mccann@jhu.edu>

	* netinfo.c (netinfo_get_host):
	* gnome-netinfo.glade: Use GnomeEntry to keep history of
	hostnames.

2003-07-23  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* callbacks.c (on_about_activate): Updated about box.

2003-07-23  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* netinfo.c (netinfo_io_text_buffer_dialog):
	* ping.c (ping_foreach_with_tree):
	* netstat.c:
	  Clean the anoying message (g_print), now works only
	  if DEBUG is defined
	* main.c (load_netstat_widgets_from_xml): Commented
	  signals for on_protocol_button_toggled.
	* util-mii.[ch] (mii_get_basic): Changed paramater to const
	  char *.

2003-07-23  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* lookup.c (lookup_do): Changed "ALL" by "ANY" in the type
	  of query.

2003-07-23  William Jon McCann  <mccann@jhu.edu>

	* lookup.c (lookup_do): Added support for selected DNS query
	types.  Changed subprocess command line creation to avoid using
	a strsplit.

	* netinfo.h:
	* gnome-netinfo.glade: Added DNS query type menu.

	* lookup.h (LOOKUP_OPTIONS): Enable use of domain search list.

	* netinfo.h:
	* main.c (main, load_info_widgets_from_xml):
	* info.h:
	* info.c (info_do, info_load_iface, info_get_nic_information):
	* callbacks.c (on_info_nic_changed):
	Consolidated netinfo_info structure into Netinfo structure to
	support copy to clipboard for info tab.

	* info.[ch] (info_copy_to_clipboard): New function to
	implement copy to clipboard for info tab.

2003-07-23  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* lookup.h: Added LOOKUP_FORMAT_MX.
	* lookup.c (split_line): Split correctly the lines for MX
	  records.

2003-07-22  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* callbacks.c: Deleted conditional #ifdef for traceroute,
	  ping and netstat.
	  Added scan.h
	* scan.h: Added scan_stop prototype.
	* scan.c: Removed conditional #ifdef

2003-07-22  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* TODO: Updated.

2003-07-22  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* Makefile.am: Added util-mii.[ch] and mii.h

2003-07-22  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* mii.h: Added file required for util-mii.[ch].
	* info.c (info_get_nic_information): Added Link Speed support
	  using mii_get_basic.

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* util-mii.[ch]: Added files that provides a function
	  that will allow us to retrieve the link speed from
	  a Ethernet card (mii_get_basic).

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c:
	* traceroute.c:
	* lookup.c:
	* ping.c:
	  	Remove conditionals defines.  Now everything is detected
		on the fly, but info.c (ifconfig)

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* lookup.[ch] (lookup_do):
	* lookup.c (lookup_copy_to_clipboard):
	* main.c (load_lookup_widgets_from_xml):
	* gnome-netinfo.glade (Lookup tab):
		Added support for GtkTreeView.

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	Added lookup.[ch].

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	Applied changes sent by William Jon McCann <mccann@jhu.edu>:
	* Makefile.am: Added lookup.[ch]
	* main.c (main): Added lookup definition
	  Added load_lookup_widgets_from_xml
	* callbacks.[ch]: Added on_lookup_activate.
	  (on_copy_activate): Added LOOKUP copy activation.
	* netinfo.h: Added LOOKUP to enumeration of notebook pages.

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netstat.c (netstat_copy_to_clipboard):
	  Fixed column titles.

2003-07-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* traceroute.c (traceroute_do):
	* ping.c (ping_do):
	* netstat.c (netstat_do):
	  Added Autodetection of programs (ping, tcptraceroute, netstat).
	* utils.[ch]: Added utilitities to find program in a path given.
	    Most code stolen from gutils.c
		util_find_program_dialog, util_tree_model_to_string,
		util_find_program_in_path, my_strchrnul.
	* TODO: Updated.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* TODO: Updated.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c (load_netstat_widgets_from_xml): Added
	  netstat_copy_to_clipboard to copy_output properties.
	* netstat.[ch]: Added netstat_copy_to_clipboard prototype.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c (load_scan_widgets_from_xml): Added
	  scan_copy_to_clipboard to copy_output properties.
	* scan.h: Added scan_copy_to_clipboard prototype.
	* scan.c: Added scan_copy_to_clipboard prototype.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* ping.c (ping_copy_to_clipboard): Clean the code.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* traceroute.h: Added traceroute_copy_to_clipboard prototype.
	* traceroute.c: Added  traceroute_copy_to_clipboard.
	* utils.h: Added prototype util_tree_model_to_string.
	* utils.c: Added output_foreach: Convert a text a row from a
	  GtkTreeModel.
	  Added util_tree_model_to_string to convert a GtkTreeModel to
	  a GString (text separated by tabs).
	* main.c (load_traceroute_widgets_from_xml): Added
	  traceroute_copy_to_clipboard to copy_output properties.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c (load_ping_from_widgets): Added ping_copy_to_clipboard
	  to copy_output properties.
	* ping.h: Added prototype (ping_copy_to_clipboard)
	* ping.c: Added ping_copy_to_clipboard and ping_output_foreach.
	  Process a GtkTreeModel gettings its values and put them into
	  the clipboard as text separated by tabs.
	* callbacks.c (on_copy_activate): Enable conditional
	  copy_output only if a function is provided).

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netinfo.h: Fixed enum definition.
	  Added 'copy_output' pointer function to _Netinfo struct
	  (for processing copy to a clipboard from any source)
	* main.c (main): Attached Netinfo's variables to the
	  notebook.
	* callbacks.h: Retrieve data attached.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netinfo.h: Added definition for Notebook pages (to allow
	  copy from any tab)

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* callbacks.h: Added prototypes for on_about_activation
	  and on_copy_activation
	* callbacks.c: Added prototype for on_copy_activation
	* gnome-netinfo.c: Added callback on_copy_activate on tje
	  menu m_copy.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* Makefile.am, main.c: Fixed named of application localedir.

2003-07-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Added callback to signal on_about_activate
	  on the menu m_about.
	* callbacks.c: Added on_about_activate to show the About box.

2003-07-13  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Fixed defaults elements on menu.

2003-07-13  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Fixed typo (Fixed bugs #117319,
	  #117321)

2003-07-08  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* ping.c (ping_foreach_with_tree): Fixed calculation of packet
	  transmitted.
	  (strip_total_line): Fixed parameters in sscanf.

2003-07-06  William Jon McCann  <mccann@jhu.edu>

	* ping.c (ping_do): Clear the statistics before starting ping.
	(strip_total_line): New function.
	(ping_foreach_with_tree): Fixed calculation of packet loss.
	Added packets transmitted information.

	* ping.h (PING_TOTAL): Uncomment sscanf template used to parse
	ping results summary output.  This is used to get the total number of
	packets transmitted.

	* netinfo.h:
	* main.c (load_ping_widgets_from_xml): Added support for packets
	transmitted information.

2003-07-03  William Jon McCann  <mccann@jhu.edu>

	* gnome-netinfo.glade: Changed labels on information tab
	to use colons (per HIG).  Consolidated separate statistics label
	with RTT and Transmission labels on Ping tab.  Made text entry
	tooltips consistent with labels.  Made radio button group
	horizontal on Ping tab.

2003-07-02  William Jon McCann  <mccann@jhu.edu>

	* gnome-netinfo.glade: Changed some of the language in the labels
	to be a bit clearer and more consistent.  Use HIG style
	recommendations.  Made Information on the Information tab
	selectable so that it can be cut-and-pasted.

2003-06-29  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* helpers: Added directory to host the helpers programs
	  for ping, tcptraceroute, etc.
	* helpers/gnome-ping-helper.[ch]: First implementation of
	  a ping.  It works on Linux, and compile on Solaris. It
	  need SUID, so I can't test it in a Solaris box, yet. but
	  it should be work.
	* helpers/Makefile: Just to compile gnome-ping-helper.  Besides
	  is quite simple, it should changed for Makefile.am
	* helpers/README.gnome-ping-helper: An small explanation how
	  it works.

2003-06-27  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netinfo.c: Error output commented from g_async_with_pipes
	  in favour of Std Output.

2003-06-27  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netstat.h: Added structs to support store line data for
	  route, protocol and multicast information.
	  Added enum NetstatOption to know what state is active
	* netstat.c: Added strip_protocol_line and netstat_get_active_option2
	  Reimplemented using GtkTreeView instead GtkTextView.
	* gnome-netinfo.glade: Changed the netstat tab to use GtkTreeView.
	* main.c: Changed signals to callbacks fro netstat.  Added
	  callbacks to process toggled button changes.

2003-06-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-netinfo.desktop: moved to .desktop.in.

	* Makefile.am: added correct @INTLTOOL_DESKTOP_RULE@.

2003-02-21  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c: Added "activate" handle signal to
	  load_scan_widgets_from_xml

2003-02-20  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* scan.[ch]: Added files that implement the portscan feature.
	* Makefile.am: Added scan.[ch]
	* callbacks.[ch]: Adedd on_scan_activate
	* gnome-netinfo.glade: Added "Port Scan" tab page.
	* main.c: Added load_scan_widgets_from_xml
	* netinfo.h: Added extra properties to handle ping in
	  Netinfo struct.
	* ping.c: Implemented the first part to get a summary
	  of ping output (avg, min, max, packets loss, packets received)
	* traceroute.c: Change of vidibility of traceroute_strip_line
	  and traceroute_create_model (to static, because only concerns
	  to the module).

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.c: Added condition to get general transmission
	  at info_nic_changed (this information only is
	  available on Linux, at moment).

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* utils.[ch]: Added to store utilities functions such
	  as provide g_sprintf to environments whithout
	  GNOME 2.2.
	* info.c: Added utils.h to allow use g_sprintf in
	  GNOME 2.0 environments.
	* Makefile.am: Added utils.[ch] to build.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.c: Added info_get_interfaces to get the network
	  interfaces by ioctl calls instead reading /proc
	  and updated info_load_iface to use it.
	  It sould be that gnome-netinfo works in Solaris.
	* TODO: Updated todo list.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.c: Fixed SIOCGIFNETMASK ioctl call.  Using
	  ifr_addr to get netmask address instead ifr_netmask,
	  because it seems work on more plataforms.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.c: Added conditional include of sys/sockio.h
	  needed for Solaris defines of socket ioctl calls.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.h: Added conditional definition of ifr_mtu,
	  because Solaris support SIOCGIFMTU ioctl call,
	  but store the MTU on ifr_metric.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.c: Added conditional execution when try
	  to get the Netmask, at least Solaris hasn't support
	  to SIOCGIFNETMASK in ioctl.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.c: Added conditional execution when try
	  to get HW Address, at least Solaris hasn't support
	  to SIOCGIFHWADDR in ioctl.

2003-02-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Changed traceroute notebook:
	  - Changed GtkTextView by GtkTreeView
	* traceroute.h: Added definitions of traceroute_data
	  to handle the text output from tcptraceroute.
	  Added trace_source_data to handle the short description
	  when tcptraceroute starts (I'm not sure if it will
	  be useful, yet)
	  - Added enum to work with GtkTreeView
	* traceroute.c: Added traceroute_foreach_with_tree to
	  show the output of ping as GtkTreeView
	  - Added strip_line to strip each line of tcptraceroute
	  - Added traceroute_create_model to handle the
	    GtkTreeView
	* main.c: changed tracer->process_line in
	  load_traceroute_widgets_from_xml to connect to the
	  new funcion (traceroute_foreach_with_tree) to show
	  the tcptraceroute output
	* ping.c: Added ping_create_model to handle (and clean)
	  the GtkTreeView.

2003-01-14  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Changed ping notebook:
	  - Added statistics frame to resume ping request
	  - Changed GtkTextView by GtkTreeView
	* ping.h: Added definitions of ping output from
	  differents flavours of Unix and added a structure
	  to handle each ping reply
	* ping.c: Added ping_foreach_with_tree to show the
	  output of ping as GtkTreeView
	  - Added strip_line to strip each line of ping
	    output and populate the ping_data structure.
	* main.c: changed pinger->process_line in
	  load_ping_widgets_from_xml to connect to the
	  new funcion (ping_foreach_with_tree) to show
	  the ping output
	* TODO: Updated to show pending task on ping todo
	  support *BSD.

2003-01-13  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade:
	* netstat.c: Changed information to display.  Protocol
		information were changed in favour of service running
		(Internet listening sockets).

2003-01-13  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* traceroute.c:
	* traceroute.h:
	* callbacks.c:
	* gnome-netinfo.glade:
	* info.c:
	* netstat.c:
	* netstat.h:
	* ping.c:
	* main.c: Added conditional compilation if one of these programs
	          were found it by configure (PING_PROGRAM.
			  TCPTRACEROUTE_PROGRAM, NETSTAT_PROGRAM,
			  IFCONFIG_PROGRAM)
	* netinfo.c: Fixed warning in compilation
			  (netinfo_io_text_buffer_dialog)

2003-01-10  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* TODO: Updated todo list.

2003-01-10  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netinfo.c: Add information when then channel is not
	  available (G_IO_NVAL)

2003-01-08  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.h: Fix type on netinfo_info typedef.

2003-01-08  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* netinfo.c: Added info_get_nic_information () to get the
	  details for each network interface.
	* info.h: Added new attributes to _netinfo_info to show
	  more information about each network interface.
	  Added constants for common text
	* main.c: Added  the new attributtes defined on info.h
	  to load_info_widgets_from_xml
	* gnome-netinfo.glade: Added new labels to show more information
	  about each network interface

2002-12-19  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* TODO: Updated TODO list.

2002-12-19  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Removed callback for info_nic

	* main.c: Implemented load_info_widgets_from_xml and
	  called it from main

	* info.[ch] Implemented info_load_iface
	  Pseudo implemented info_nick_changed.

2002-12-17  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c: Added load_netstat_widgets_from_xml

	* Makefile.am: Added netstat.[ch]

	* netstat.[ch]: Added implementation of netstat
	  netstat_do
	  netstat_stop
	  netstat_foreach
	  netstat_get_active_option

2002-12-17  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c: Adapted load_traceroute_widgets_from_xml to work
	  with the Netinfo structure.

	* traceroute.[ch]: Reimplemented traceroute (using
	  tcptraceroute.  Implemented:
	  traceroute_do
	  traceroute_stop
	  traceroute_foreach

	* netinfo.[ch]: Added to CVS repository.

2002-12-17  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* Makefile.am: Added netinfo.[ch]

	* netinfo.[ch]: Added file to manage generic functions
	  to call programs such as ping, traceroute, netstat,
	  etc.
	  Functions:
	  netinfo_process_command
	  netinfo_stop_process_command
	  netinfo_text_buffer_insert
	  netinfo_get_count
	  netinfo_get_host
	  netinfo_toggle_button
	  netinfo_toggle_state

	* ping.c: Moved and renamed functions to netinfo.c, only
	  ping_do left respect the previous one.
	  Added ping_foreach to process each line from the output
	  of command.
	  Added ping_stop to stop the process when its running.

	* TODO: Updated todo list

2002-12-17  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* glade-netinfo.glade: Fixed a minimal value for
	  ping's count spin (min set to 1).

	* TODO: Added To Do file with missing features to
	  get an usable application

	* TEST_CASES: Added basics user test cases, to remind
	  me what do I need to test, after every change.

2002-12-14  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* callbacks.[ch]: Move #define's to callbacks.h
	* main.c: Added initialization of pinger->child_pid
	* ping.c: Implemented ping_stop that send a SIGINT to
	  child process if exists.
	  Changed local variables by properties of the netinfo
	  structure.
	* ping.h: Added a function pointer to allow a generic
	  uses of ping.c

2002-12-14  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: Fixed double defaults definitions
	  (it were noted when glade built the sources)
	* traceroute.c: Changed traceroute by tcptraceroute.
	* ping.h: Added properties to netinfo_ping (button,
	  running, child_pid and command_line)
	* ping.c:
	  - Changed ping_do to work with netinfo_ping
	    directly.
	  - Added netinfo_get_count to get a value of a property
	    of netinfo_ping (in the future, may be a generic
		structure netinfo).
	  - Added ping_stop.  This function must stop the
	    execution in any time that the user want.
	* callbacks.c:
	  -Added toggle_button that change a the
	   label and icon of a button (destroy and re-create)
	   to be used by any callback.
	  - Updated on_ping_* to use toggle_button.

2002-12-14  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* main.c: Fixed a crash bug in load_*_widgets_from_xml on
	  argument of gmalloc.
	* callbacks.c: Now ping can be unlimited (max 99) or
	  limited (accoring to spin).  Still is missing a "Stop"
	  feature.

2002-12-13  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* info.[ch]: Added to CVS.

2002-12-13  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* Makefile.am: Added info.[ch]
	* info.[ch]: Added modules to process the network cards
	  information.
	* callbacks.[ch]: Rewritten on_ping_host_activate and
	  on_traceroute_host_activate to support the struct
	  that contins the widgets in each notebook.
	  Added on_*_button_clicked, with a similar funcionality
	  a on*_host_activate.
	  Added on_info_nic_changed with a definition about how
	  must it work.
	* gnome-netinfo.glade: Fixed some widgets names and
	  some properties (editable).
	  The callbacks of ping_host and traceroute were deleted.
	* main.c: Added:
	     load_ping_widgets_from_xml (xml);
	     load_traceroute_widgets_from_xml (xml);
	  to read the widgets in each notebook to pass them to
	  the signals.
	* ping.c: End of funcionality.  Now the counts of ping
	  are not hard coded.

2002-12-12  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* ping.[ch]:
	  traceroute.[ch]:
	  main.c: Added copyright and license comments.

2002-12-12  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* gnome-netinfo.glade: UI improvements and normalization
	  of the name of variables.

2002-12-12  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* Makefile.am:
	* traceroute.[ch]: Added code (copied from ping.[ch])
	  to process the traceroute output.  At moment, it's
	  blocking the parent process.

	* gnome-netinfo.glade: New interfaces, MacOSX alike
	  with minimal information, ping, traceroute and netstat.

2002-12-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-netinfo.desktop: fixed entry name.

2002-12-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* Renamed to gnome-netinfo to make it a general tool

2002-12-11  German Poo-Caaman~o <gpoo@ubiobio.cl>

	* First commit:  A minimal version of gping.
